GCLOUD_SQL_INSTANCES_CREATE(1)

NAME

gcloud sql instances create - creates a new Cloud SQL instance

SYNOPSIS

gcloud sql instances create INSTANCE [--activation-policy ACTIVATION_POLICY] [--assign-ip] [--async] [--authorized-gae-apps APP,[APP,...]] [--authorized-networks NETWORK,[NETWORK,...]] [--no-backup] [--backup-start-time BACKUP_START_TIME] [--database-flags FLAG=VALUE,[FLAG=VALUE,...]] [--database-version DATABASE_VERSION; default="MYSQL_5_6"] [--enable-bin-log] [--follow-gae-app FOLLOW_GAE_APP] [--gce-zone GCE_ZONE] [--master-instance-name MASTER_INSTANCE_NAME] [--pricing-plan PRICING_PLAN, -p PRICING_PLAN; default="PER_USE"] [--region REGION; default="us-central"] [--replication REPLICATION] [--require-ssl] [--tier TIER, -t TIER; default="D1"] [GLOBAL-FLAG ...]

DESCRIPTION
Creates a new Cloud SQL instance.

POSITIONAL ARGUMENTS
INSTANCE
    Cloud SQL instance ID.

FLAGS
--activation-policy ACTIVATION_POLICY
    The activation policy for this instance. This specifies when the instance should be activated and is applicable only when the instance state is RUNNABLE.
--assign-ip
    Specified if the instance must be assigned an IP address. Use --no-assign-ip to disable.
--async
    Display information about the operation in progress and don't wait for the operation to complete.
--authorized-gae-apps APP,[APP,...]
    List of App Engine app IDs that can access this instance.
--authorized-networks NETWORK,[NETWORK,...]
    The list of external networks that are allowed to connect to the instance. Specified in CIDR notation, also known as 'slash' notation (e.g. 192.168.100.0/24).
--backup
    Enables daily backup. Enabled by default, use --no-backup to disable.
--backup-start-time BACKUP_START_TIME
    The start time of daily backups, specified in the 24 hour format - HH:MM, in the UTC timezone.
--database-flags FLAG=VALUE,[FLAG=VALUE,...]
    A comma-separated list of database flags to set on the instance. Use an equals sign to separate flag name and value. Flags without values, like skip_grant_tables, can be written out without a value after, e.g., skip_grant_tables=. Use on/off for booleans. View the Instance Resource API for allowed flags. (e.g., --database-flags max_allowed_packet=55555,skip_grant_tables=,log_output=1)
--database-version DATABASE_VERSION; default="MYSQL_5_6"
    The database engine type and version. Can be MYSQL_5_5 or MYSQL_5_6.
--enable-bin-log
    Specified if binary log should be enabled. If backup configuration is disabled, binary log must be disabled as well. Use --no-enable-bin-log to disable.
--follow-gae-app FOLLOW_GAE_APP
    The App Engine app this instance should follow. It must be in the same region as the instance.
--gce-zone GCE_ZONE
    The preferred Compute Engine zone (e.g. us-central1-a, us-central1-b, etc.).
--master-instance-name MASTER_INSTANCE_NAME
    Name of the instance which will act as master in the replication setup. The newly created instance will be a read replica of the specified master instance.
--pricing-plan PRICING_PLAN, -p PRICING_PLAN; default="PER_USE"
    The pricing plan for this instance.
--region REGION; default="us-central"
    The geographical region. Can be asia-east1, europe-west1, or us-central.
--replication REPLICATION
    The type of replication this instance uses.
--require-ssl
    Specified if users connecting over IP must use SSL. Use --no-require-ssl to disable.
--tier TIER, -t TIER; default="D1"
    The tier of service for this instance, for example D0, D1.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.